Dataflow Profile - Create Or Update

Een DataflowProfileResource maken

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.IoTOperations/instances/{instanceName}/dataflowProfiles/{dataflowProfileName}?api-version=2026-03-01

URI-parameters

Name In Vereist Type Description
dataflowProfileName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$

Naam van resource Instance dataflowProfile

instanceName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$

Naam van exemplaar.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

subscriptionId
path True

string (uuid)

De id van het doelabonnement. De waarde moet een UUID zijn.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Aanvraagbody

Name Type Description
extendedLocation

ExtendedLocation

Edge-locatie van de resource.

properties

DataflowProfileProperties

De resourcespecifieke eigenschappen voor deze resource.

Antwoorden

Name Type Description
200 OK

DataflowProfileResource

De updatebewerking van de resource 'DataflowProfileResource' is geslaagd

201 Created

DataflowProfileResource

Resource 'DataflowProfileResource' create bewerking geslaagd

Kopteksten

  • Azure-AsyncOperation: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

DataflowProfile_CreateOrUpdate
DataflowProfile_CreateOrUpdate_Minimal
DataflowProfile_CreateOrUpdate_Multi

DataflowProfile_CreateOrUpdate

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123?api-version=2026-03-01

{
  "properties": {
    "diagnostics": {
      "logs": {
        "level": "rnmwokumdmebpmfxxxzvvjfdywotav"
      },
      "metrics": {
        "prometheusPort": 7581
      }
    },
    "instanceCount": 14
  },
  "extendedLocation": {
    "name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
    "type": "CustomLocation"
  }
}

Voorbeeldrespons

{
  "properties": {
    "diagnostics": {
      "logs": {
        "level": "rnmwokumdmebpmfxxxzvvjfdywotav"
      },
      "metrics": {
        "prometheusPort": 7581
      }
    },
    "instanceCount": 14,
    "provisioningState": "Succeeded"
  },
  "extendedLocation": {
    "name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
    "type": "CustomLocation"
  },
  "id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123",
  "name": "bwhcjsnnfnrmbixamyxjau",
  "type": "Microsoft.IoTOperations/instances/dataflowProfiles",
  "systemData": {
    "createdBy": "contosouser",
    "createdByType": "User",
    "createdAt": "2024-08-09T18:13:29.389Z",
    "lastModifiedBy": "contosouser",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2024-08-09T18:13:29.389Z"
  }
}
Azure-AsyncOperation: https://contoso.com/operationstatus
{
  "properties": {
    "diagnostics": {
      "logs": {
        "level": "rnmwokumdmebpmfxxxzvvjfdywotav"
      },
      "metrics": {
        "prometheusPort": 7581
      }
    },
    "instanceCount": 14,
    "provisioningState": "Succeeded"
  },
  "extendedLocation": {
    "name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
    "type": "CustomLocation"
  },
  "id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123",
  "name": "bwhcjsnnfnrmbixamyxjau",
  "type": "Microsoft.IoTOperations/instances/dataflowProfiles",
  "systemData": {
    "createdBy": "contosouser",
    "createdByType": "User",
    "createdAt": "2024-08-09T18:13:29.389Z",
    "lastModifiedBy": "contosouser",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2024-08-09T18:13:29.389Z"
  }
}

DataflowProfile_CreateOrUpdate_Minimal

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/aio-dataflowprofile?api-version=2026-03-01

{
  "properties": {
    "instanceCount": 1
  },
  "extendedLocation": {
    "name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
    "type": "CustomLocation"
  }
}

Voorbeeldrespons

{
  "properties": {
    "instanceCount": 1,
    "provisioningState": "Succeeded"
  },
  "extendedLocation": {
    "name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
    "type": "CustomLocation"
  },
  "id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123",
  "name": "bwhcjsnnfnrmbixamyxjau",
  "type": "Microsoft.IoTOperations/instances/dataflowProfiles",
  "systemData": {
    "createdBy": "contosouser",
    "createdByType": "User",
    "createdAt": "2024-08-09T18:13:29.389Z",
    "lastModifiedBy": "contosouser",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2024-08-09T18:13:29.389Z"
  }
}
Azure-AsyncOperation: https://contoso.com/operationstatus
{
  "properties": {
    "instanceCount": 1,
    "provisioningState": "Succeeded"
  },
  "extendedLocation": {
    "name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
    "type": "CustomLocation"
  },
  "id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123",
  "name": "bwhcjsnnfnrmbixamyxjau",
  "type": "Microsoft.IoTOperations/instances/dataflowProfiles",
  "systemData": {
    "createdBy": "contosouser",
    "createdByType": "User",
    "createdAt": "2024-08-09T18:13:29.389Z",
    "lastModifiedBy": "contosouser",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2024-08-09T18:13:29.389Z"
  }
}

DataflowProfile_CreateOrUpdate_Multi

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/aio-dataflowprofile?api-version=2026-03-01

{
  "properties": {
    "instanceCount": 3
  },
  "extendedLocation": {
    "name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
    "type": "CustomLocation"
  }
}

Voorbeeldrespons

{
  "properties": {
    "instanceCount": 3,
    "provisioningState": "Succeeded"
  },
  "extendedLocation": {
    "name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
    "type": "CustomLocation"
  },
  "id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123",
  "name": "bwhcjsnnfnrmbixamyxjau",
  "type": "Microsoft.IoTOperations/instances/dataflowProfiles",
  "systemData": {
    "createdBy": "contosouser",
    "createdByType": "User",
    "createdAt": "2024-08-09T18:13:29.389Z",
    "lastModifiedBy": "contosouser",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2024-08-09T18:13:29.389Z"
  }
}
Azure-AsyncOperation: https://contoso.com/operationstatus
{
  "properties": {
    "instanceCount": 3,
    "provisioningState": "Succeeded"
  },
  "extendedLocation": {
    "name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
    "type": "CustomLocation"
  },
  "id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/dataflowProfiles/resource-name123",
  "name": "bwhcjsnnfnrmbixamyxjau",
  "type": "Microsoft.IoTOperations/instances/dataflowProfiles",
  "systemData": {
    "createdBy": "contosouser",
    "createdByType": "User",
    "createdAt": "2024-08-09T18:13:29.389Z",
    "lastModifiedBy": "contosouser",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2024-08-09T18:13:29.389Z"
  }
}

Definities

Name Description
createdByType

Het type identiteit waarmee de resource is gemaakt.

DataflowProfileProperties

Eigenschappen van DataflowProfile Resource

DataflowProfileResource

Bron voor instance: dataflowProfile

DataflowProfileStatus

DataflowProfile-status.

DiagnosticsLogs

Eigenschappen van diagnostisch logboek

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

ExtendedLocation

Uitgebreide locatie is een uitbreiding van Azure-locaties. Ze bieden een manier om hun Azure ARC-enabled Kubernetes-clusters te gebruiken als doellocaties voor het implementeren van Azure-servicesexemplaren.

ExtendedLocationType

Het enum definiërende type ExtendedLocation geaccepteerd.

Metrics

Eigenschappen van diagnostische metrische gegevens

ProfileDiagnostics

Eigenschappen van DataflowProfile Diagnostics

ProvisioningState

De enum die de status van de resource definieert.

ResourceHealthState

De gezondheidstoestand van de bron.

ResourceHealthStatus

Geeft de gezondheidstoestand van een hulpbron weer.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

DataflowProfileProperties

Eigenschappen van DataflowProfile Resource

Name Type Default value Description
diagnostics

ProfileDiagnostics

Specificatie definieert de gewenste identiteiten van diagnostische NBC-instellingen.

healthState

ResourceHealthState

Unknown

De gezondheidstoestand van de bron.

instanceCount

integer (int32)

minimum: 1
maximum: 20
1

Als u het gegevensstroomprofiel handmatig wilt schalen, geeft u het maximum aantal exemplaren op dat u wilt uitvoeren.

provisioningState

ProvisioningState

De status van de laatste bewerking.

status

DataflowProfileStatus

De status voor het dataflowprofiel.

DataflowProfileResource

Bron voor instance: dataflowProfile

Name Type Description
extendedLocation

ExtendedLocation

Edge-locatie van de resource.

id

string (arm-id)

Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}"

name

string

De naam van de resource

properties

DataflowProfileProperties

De resourcespecifieke eigenschappen voor deze resource.

systemData

systemData

Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens.

type

string

Het type bron. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts'

DataflowProfileStatus

DataflowProfile-status.

Name Type Description
healthState

ResourceHealthStatus

De gezondheidstoestand van het DataflowProfile.

DiagnosticsLogs

Eigenschappen van diagnostisch logboek

Name Type Default value Description
level

string

info

Het logboekniveau. Voorbeelden: 'debug', 'info', 'warn', 'error', 'trace'.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoel.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.

ExtendedLocation

Uitgebreide locatie is een uitbreiding van Azure-locaties. Ze bieden een manier om hun Azure ARC-enabled Kubernetes-clusters te gebruiken als doellocaties voor het implementeren van Azure-servicesexemplaren.

Name Type Description
name

string

De naam van de uitgebreide locatie.

type

ExtendedLocationType

Type UitgebreideLocatie.

ExtendedLocationType

Het enum definiërende type ExtendedLocation geaccepteerd.

Waarde Description
CustomLocation

CustomLocation-type

Metrics

Eigenschappen van diagnostische metrische gegevens

Name Type Default value Description
prometheusPort

integer (int32)

minimum: 0
maximum: 65535
9600

De prometheus-poort om de metrische gegevens beschikbaar te maken.

ProfileDiagnostics

Eigenschappen van DataflowProfile Diagnostics

Name Type Description
logs

DiagnosticsLogs

Diagnostische logboekinstellingen voor de resource.

metrics

Metrics

De instellingen voor metrische gegevens voor de resource.

ProvisioningState

De enum die de status van de resource definieert.

Waarde Description
Succeeded

Er is een bron gemaakt.

Failed

Het maken van bronnen is mislukt.

Canceled

Het maken van grondstoffen is geannuleerd.

Provisioning

Resource wordt ingericht.

Updating

Bron wordt bijgewerkt.

Deleting

Bron wordt verwijderd.

Accepted

Bron is geaccepteerd.

ResourceHealthState

De gezondheidstoestand van de bron.

Waarde Description
Available

Resource is beschikbaar en functioneert zoals verwacht.

Degraded

De gezondheid van hulpbronnen wordt aangetast.

Unavailable

De resource werkt niet zoals verwacht.

Unknown

De status van de bron is onbekend.

ResourceHealthStatus

Geeft de gezondheidstoestand van een hulpbron weer.

Name Type Description
lastTransitionTime

string

De tijdstempel (RFC3339) wanneer de gezondheidsstatus voor het laatst veranderde.

lastUpdateTime

string

De tijdstempel (RFC3339) wanneer de gezondheidsstatus voor het laatst werd bijgewerkt, zelfs als de status niet veranderde.

message

string

Een door mensen leesbaar bericht dat de laatste overgang beschrijft.

reasonCode

string

Unieke CamelCase redencode die de oorzaak van de overgang in de laatste gezondheidstoestand beschrijft.

status

ResourceHealthState

De hoge gezondheidstoestand van de hulpbron.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

De tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.